---
updatedAt: 2026-05-21T18:12:22.000Z
---

# Retrieves the list of a campaign instances from the specific tenant.

The API is used to retrieve the list of a campaign instances from the specific tenant.<br/>The owners of the application can access the list of campaign instances that are created by them or includes at least one application owned by them.<br/>Unspecified filter parameters are treated as having the default values.<br/>Every provided parameter value is considered as an extra filter for the search criteria.<br/>Entitlements required: manageAccessCertification [Manage Access Certification].

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "IBM Verify API",
    "title": "IBM Verify API"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Certification Campaign instances v2.0"
    }
  ],
  "paths": {
    "/v2.0/instances": {
      "get": {
        "tags": [
          "Certification Campaign instances v2.0"
        ],
        "summary": "Retrieves the list of a campaign instances from the specific tenant.",
        "description": "The API is used to retrieve the list of a campaign instances from the specific tenant.<br/>The owners of the application can access the list of campaign instances that are created by them or includes at least one application owned by them.<br/>Unspecified filter parameters are treated as having the default values.<br/>Every provided parameter value is considered as an extra filter for the search criteria.<br/>Entitlements required: manageAccessCertification [Manage Access Certification].",
        "operationId": "campaignInstanceFind",
        "parameters": [
          {
            "name": "x-admin-invocation",
            "in": "header",
            "description": "If the value is set to true, the API call is treated as an admin API call.",
            "required": true,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "This is a deprecated campaign instance type filter. Use 'types' query parameter instead. If both the 'type' and 'types' query parameter are used, then the 'types' selected value is considered. Available values are: 'userassignment', 'groupassignment' or 'account'.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          },
          {
            "name": "types",
            "in": "query",
            "description": "The filter for the campaign instance type. Allowed values are: 'userassignment', 'groupassignment', 'account', 'groupmembership'.<br><br>Multiple values can be selected.",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "state",
            "in": "query",
            "description": "The filter for the campaign instance state: 'all', 'noinstance', 'aborted', 'closed', 'completed', 'created', 'deleted', 'failed', 'paused', 'running', 'starting', 'success', 'cancelled'.<br><br>Multiple values can be selected.",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "default": "all"
              }
            }
          },
          {
            "name": "priority",
            "in": "query",
            "description": "The filter for the campaign instance priority: 'all', 'high', 'medium', or 'low'.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          },
          {
            "name": "preview",
            "in": "query",
            "description": "The filter for getting preview campaign instances: 'all', 'yes', 'no'.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          },
          {
            "name": "continuous",
            "in": "query",
            "description": "The filter for getting continuous campaign instances: 'all', 'yes', 'no'.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          },
          {
            "name": "reviewersId",
            "in": "query",
            "description": "The filter for the campaign reviewer.<br><br>Provide multiple values in new lines or separated by commas. For example, 607000JX53, 6050001F7Z, 50EEPX4TQC",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "supervisorsId",
            "in": "query",
            "description": "The filter for the campaign supervisor.<br><br>Provide multiple values in new lines or separated by commas. For example, 607000JX53, 6050001F7Z, 50EEPX4TQC",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "ownersId",
            "in": "query",
            "description": "The filter for the campaign owner.<br><br>Provide multiple values in new lines or separated by commas. For example, 607000JX53, 6050001F7Z, 50EEPX4TQC",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "appsId",
            "in": "query",
            "description": "The filter for the campaign application.<br><br>Provide multiple values in new lines or separated by commas. For example,7728662622850583652, 7729580475382480456",
            "style": "form",
            "explode": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "overallState",
            "in": "query",
            "description": "The filter for the overall state of the campaign instance. This filter is to logically 'group' the possible campaign instance states: 'all', 'active', 'inactive'.",
            "schema": {
              "type": "string",
              "default": "all"
            }
          },
          {
            "name": "asSupervisor",
            "in": "query",
            "description": "Consider the calling user as a supervisor of the campaign when set to true.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "assignmentSource",
            "in": "query",
            "description": "Filter campaign instances based on the source: 'all', 'assigned', 'delegated'.",
            "schema": {
              "type": "string",
              "default": "assigned"
            }
          },
          {
            "name": "skipStatistics",
            "in": "query",
            "description": "Filter for including aggregated data (that is, statistics, progress) to the instance objects: dataonly, yes, or no.",
            "schema": {
              "type": "string",
              "default": "no"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "description": "The generic filter for returning campaign instances that contain the passed string in one of the following attributes: name (Campaign instance name).",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The attribute of the campaign instance that is used to sort results. The possible values are: name, type, priority, status, timelaststart, timeclosed, progress, lastpausedate, timeremaining.<br><br><br>When you provide,<br><strong>name</strong>: The campaign instance name is used for sorting.<br><strong>type</strong>: The campaign instance type is used for sorting.<br><strong>priority</strong>: The campaign instance priority is used for sorting.<br><strong>status</strong>: The campaign instance status is used for sorting.<br><strong>timelaststart</strong>: The campaign instance lastStartDate timestamp is used for sorting.<br><strong>timeclosed</strong>: The campaign instance endDate timestamp is used for sorting.<br><strong>progress</strong>: The campaign instance progress is used for sorting.<br><strong>continuous</strong>: The campaign instance continuous is used for sorting.<br><strong>lastpausedate</strong>: The campaign instance lastPauseDate timestamp is used for sorting.<br><strong>timeremaining</strong>: The campaign instance timeRemaining timestamp is used for sorting.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sortDesc",
            "in": "query",
            "description": "Decides sort order.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Specifies the maximum number of resources that the search returns for a page.",
            "schema": {
              "type": "string",
              "default": "500"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number.",
            "schema": {
              "type": "string",
              "default": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The request was successful.",
            "content": {}
          },
          "400": {
            "description": "Your request can't be processed. The error code and description are available in the response payload.",
            "content": {}
          },
          "401": {
            "description": "Your request can't be processed. The error code and description are available in the response payload.",
            "content": {}
          },
          "500": {
            "description": "Your request cannot be processed because an internal server error occurred.",
            "content": {}
          }
        },
        "x-category": "IBM Verify API",
        "x-publicAPI": true
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```